Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The libglade library for loading user interfaces.
Name:      	libglade
Version:   	2.6.2
Release:   	1
License: 	LGPL
URL: 		http://www.gnome.org
Group:     	System/Libraries
Source0: 	libglade-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=121025
Patch1: 	libglade-2.0.1-nowarning.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	libxml2
Requires: 	gtk2+
BuildRequires: 	libxml2-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	fontconfig
BuildRequires: 	pango-devel
BuildRequires: 	libtool
BuildRequires: 	gettext-devel


%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package devel
Summary: 	The files needed for libglade application development.
Group: 		Development/Libraries
Requires: 	%name = %{PACKAGE_VERSION}
Requires: 	libxml2-devel
Requires: 	gtk2+-devel

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n libglade-%{version}

%patch1 -p1 -b .nowarning

%build
%configure --disable-gtk-doc
make %{?_smp_mflags}

%install

rm -rf $RPM_BUILD_ROOT
%makeinstall

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*
%{_datadir}/xml

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc
%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.2-1
- Version update
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.6.0-1
- Version update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 2.5.1-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.5.1-1
- Version Update to 2.5.1
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.5.0-1
- Version Update to 2.5.0
